Summary:	X protocol and ancillary headers
Summary(pl.UTF-8):	Nagłówki protokołu X i pomocnicze
Name:		xorg-proto-xproto
Version:	7.0.24
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/xproto-%{version}.tar.bz2
# Source0-md5:	9c0203c3bee4bac432ec504dc45712ed
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X protocol and ancillary headers.

%description -l pl.UTF-8
Nagłówki protokołu X i pomocnicze.

%package devel
Summary:	X protocol and ancillary headers
Summary(pl.UTF-8):	Nagłówki protokołu X i pomocnicze
Group:		X11/Development/Libraries
Requires:	filesystem >= 3.0-32
Obsoletes:	xproto

%description devel
X protocol and ancillary headers.

%description devel -l pl.UTF-8
Nagłówki protokołu X i pomocnicze.

%prep
%setup -q -n xproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/X11/extensions

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README specs/*.html specs/SIAddresses/{IPv6,hostname,localuser}.txt
%{_includedir}/X11/*.h
%dir %{_includedir}/X11/extensions
%{_pkgconfigdir}/xproto.pc
%changelog
* Sat Mar 30 2013 Jakub Bogusz <qboosh@pld-linux.org> af90882
- updated to 7.0.24

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> e0b6dac
- updated to 7.0.23

* Fri Jun 24 2011 Jakub Bogusz <qboosh@pld-linux.org> e28c16e
- updated to 7.0.22

* Wed Mar 23 2011 Jakub Bogusz <qboosh@pld-linux.org> c20c8f5
- updated to 7.0.21

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 681855d
- BR: docbook-dtd43-xml

* Wed Dec 08 2010 Jakub Bogusz <qboosh@pld-linux.org> 6460376
- package XIAddresses docs

* Wed Dec 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d661f0
- up to 7.0.20

* Wed Nov 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 76c649b
- updated to 7.0.19

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 45b072c
- added README to doc

* Tue Aug 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 331004e
- updated BRs

* Tue Aug 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 43e02ac
- up to 7.0.18

* Sat May 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 868a27e
- up to 7.0.17

* Wed Jan 27 2010 Elan Ruusamäe <glen@pld-linux.org> 2da6d29
- move /usr/include/X11 to filesystem; rel 2

* Mon Sep 28 2009 Jakub Bogusz <qboosh@pld-linux.org> 6c724e0
- util-macros version

* Thu Sep 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> fc83051
- up to 7.0.16

* Mon Mar 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4db0d00
- up to 7.0.15

* Fri Oct 24 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 27eb22a
- up to 7.0.14

* Thu May 29 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> 399eb6e
- up to 7.0.13

* Thu Mar 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5234ccd
- up to 7.0.12

* Sat Sep 08 2007 Jakub Bogusz <qboosh@pld-linux.org> d2fee79
- updated to 7.0.11

